---
include:
  - runners/common.yml

kpet-submitter:
  extends: [.bkr-legacy-submitter]
  script:
    - scripts/kpet_submitter.sh
  needs:
    - {pipeline: $PARENT_PIPELINE_ID, job: git-repo}

kpet-report-results:
  extends: [.bkr-report-results]
  needs:
    - {pipeline: $PARENT_PIPELINE_ID, job: git-repo}
    - kpet-submitter

triager:
  extends: [.triager]
  needs:
    - {pipeline: $PARENT_PIPELINE_ID, job: git-repo}
    - kpet-submitter
    - kpet-report-results

notify:
  extends: [.notify]
  needs:
    - {pipeline: $PARENT_PIPELINE_ID, job: git-repo}
    - kpet-submitter
    - kpet-report-results
    - triager

notify-error:
  extends: [.notify-error]
